- Qt 5.15
- Qt GUI
- C++ Classes
- QDragLeaveEvent
- Qt 5.15.15 Reference Documentation

# QDragLeaveEvent Class

The QDragLeaveEvent class provides an event that is sent to a widget when a drag and drop action leaves it. More...

Header: | #include <QDragLeaveEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QDragLeaveEvent()

## Detailed Description

This event is always preceded by a QDragEnterEvent and a series of QDragMoveEvents. It is not sent if a QDropEvent is sent instead.

See also QDragEnterEvent, QDragMoveEvent, and QDropEvent.

## Member Function Documentation

### QDragLeaveEvent::QDragLeaveEvent()

Constructs a QDragLeaveEvent.

Warning: Do not create a QDragLeaveEvent yourself since these objects rely on Qt's internal state.